<?xml version="1.0" encoding="Windows-31J"?>

<project default="javadoc">

	<property name="dir" value="docs/api" />
	<property name="catalina.home" value="D:/Java/apache-tomcat-5.5.16" />
	<property name="title" value="Live Z 0.4 API" />

	<target name="javadoc">

		<delete dir="${dir}" />

		<javadoc destdir="${dir}"
			access="protected"
			source="1.5"
			use="true"
			notree="false"
			nonavbar="false"
			noindex="false"
			splitindex="true"
			author="true"
			version="true"
			nodeprecatedlist="false"
			nodeprecated="false"
			packagenames="jp.sourceforge.livez.*"
			overview="src/java/overview.html"
			stylesheetfile="javadoc.css"
			windowtitle="${title}"
			doctitle="${title}"
			bottom="Copyright &amp;copy; 2005-2006 Kouji Sugisawa. All rights reserved.">
			<group title="Core パッケージ" packages="jp.sourceforge.livez:jp.sourceforge.livez.imode*:jp.sourceforge.livez.ezweb*:jp.sourceforge.livez.vodafone*:jp.sourceforge.livez.brew*" />
			<group title="DAO パッケージ" packages="jp.sourceforge.livez.dao*" />
			<group title="Pages パッケージ" packages="jp.sourceforge.livez.pages*" />
			<group title="Images パッケージ" packages="jp.sourceforge.livez.images*" />
			<group title="Mail パッケージ" packages="jp.sourceforge.livez.mail*" />
			<link href="http://java.sun.com/j2se/1.5.0/ja/docs/ja/api/" />
			<link href="http://jakarta.apache.org/tomcat/tomcat-5.5-doc/servletapi/"/>
			<link href="http://jakarta.apache.org/tomcat/tomcat-5.5-doc/jasper/docs/api/"/>
			<link href="http://jakarta.apache.org/tomcat/tomcat-5.5-doc/jspapi/"/>
			<link href="http://jakarta.apache.org/commons/codec/api-release/"/>
			<link href="http://jakarta.apache.org/commons/io/api-release/"/>
			<link href="http://jakarta.apache.org/commons/lang/api/"/>
			<link href="http://jakarta.apache.org/commons/logging/apidocs/" />
			<link href="http://www.hibernate.org/hib_docs/v3/api/" />
			<link href="http://java.sun.com/products/javamail/javadocs/" />
			<link href="http://people.apache.org/~andyc/neko/doc/html/javadoc/" />
			<link href="http://static.springframework.org/spring/docs/1.2.x/api/"/>
			<link href="http://xerces.apache.org/xerces2-j/javadocs/xni/" />
			<classpath>
				<pathelement path="bin" />
				<pathelement path="${catalina.home}/common/lib/servlet-api.jar" />
				<pathelement path="${catalina.home}/common/lib/jasper-runtime.jar" />
				<pathelement path="${catalina.home}/common/lib/jsp-api.jar" />
				<pathelement path="lib/activation-1.1.jar" />
				<pathelement path="lib/commons-codec-1.3.jar" />
				<pathelement path="lib/commons-io-1.2.jar" />
				<pathelement path="lib/commons-lang-2.1.jar" />
				<pathelement path="lib/commons-logging-1.0.4.jar" />
				<pathelement path="lib/hibernate-3.1.3.jar" />
				<pathelement path="lib/mail-1.4-livez.jar" />
				<pathelement path="lib/nekohtml-0.9.5.jar" />
				<pathelement path="lib/spring-1.2.8.jar" />
				<pathelement path="lib/xercesImpl-2.8.0.jar" />
				<pathelement path="lib/junit-3.8.2.jar" />
			</classpath>
			<sourcepath>
				<pathelement path="src/java" />
			</sourcepath>
		</javadoc>

	</target>

</project>
